Linux 5.11 XFS將自動標記並拒絕掛載需要修復的文件系統

廣告
廣告

Linux 5.11中XFS驅動代碼的主要功能變化是增加了一個新的
"需要修復"功能標記。當XFS代碼將一個文件系統標記為需要修復時,它將拒絕掛載,直到對其運行xfs_repair操作。
當一個文件系統處於需要修復的已知狀態時,Linux
5.11及更高版本的 XFS 內核代碼將通過 xfs_repair 用戶空間實用程序在該文件系統上設置"需要修復"標記。

更新后的xfs_repair實用程序將在操作完成後清除該功能標誌。當需要修復時,xfs_admin會自動運行修復操作,所以理想情況下,用戶/管理員不需要自己發出用戶空間命令。

雖然這個標誌可以用於各種已知文件系統處於不良狀態的情況,但 "需要修復"的另外一個目的是當需要強迫用戶升級XFS文件系統的功能時,可以提示並升級它來處理超過了2038年的XFS時間戳。在之前的Linux 5.10內核周期中,他們已經宣布XFS第4版文件系統格式將在十年後被廢棄,用戶在可能的情況下應該開始升級到第5版格式。有了新的特性標誌,他們最終將可以在強制用戶升級的時候,通過設置 "需要修復"的標誌來強制用戶升級文件系統格式,並取消內核對之前格式的支持。

新的功能標誌與其他代碼清理和修復一起被合併到Linux 5.11中。

廣告
廣告

image.jpg

廣告
廣告